## ros-noetic-diagnostic-updater 1.11.0

=== debian/changelog ===
ros-noetic-diagnostic-updater (1.11.0-1buster) buster; urgency=high

  * Use DiagnosticLevel enum instead of hardcoded integers (#208 <https://github.com/ros/diagnostics/issues/208>)
    Spellcheck fixes
  * Contributors: Amilcar Lucas

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-diagnostic-updater (1.10.4-1buster) buster; urgency=high

  * Fix some doc typos and remove travis config (#173 <https://github.com/ros/diagnostics/issues/173>)
    * cleate -> create
    * single single -> single
    * remove travis config
  * Contributors: Mikael Arguedas

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Sat, 13 Mar 2021 23:00:00 -0000

ros-noetic-diagnostic-updater (1.10.3-1buster) buster; urgency=high

  * Use get_param_cached in diagnostic_updater
  * Diagnostic status msg is not included but being used (#163 <https://github.com/ros/diagnostics/issues/163>)
    * Diagnostic status msg is not included but being used
    * Update update_functions.h
  * Change depends to catkin_depends for catkin packages (#162 <https://github.com/ros/diagnostics/issues/162>)
    * Change depends to catkin_depends for catkin packages
    * The library also depends on catkin_libs
  * Update maintainer info
  * Contributors: Tobias Fischer, gemignani

 -- Guglielmo Gemignani <guglielmo.gemignani@gmail.com>  Fri, 04 Dec 2020 23:00:00 -0000

ros-noetic-diagnostic-updater (1.10.2-1buster) buster; urgency=high

  * Estract TimestampStatus run to cpp
  * Contributors: Guglielmo Gemignani

 -- Austin Hendrix <namniart@gmail.com>  Wed, 02 Sep 2020 22:00:00 -0000

ros-noetic-diagnostic-updater (1.10.1-1buster) buster; urgency=high

  * Resolve div by zero in updater (#108 <https://github.com/ros/diagnostics/issues/108>)
  * Use std::isfinite due to deprecation on osx (#113 <https://github.com/ros/diagnostics/issues/113>)
  * Remove extra (not needed) trailing ':' (#116 <https://github.com/ros/diagnostics/issues/116>)
  * Fix GCC warnings with -Wpedantic (#124 <https://github.com/ros/diagnostics/issues/124>)
  * Add SlowTimeStampStatus (#144 <https://github.com/ros/diagnostics/issues/144>)
  * Contributors: Enrique Fernandez Perdomo, Jacob Perron, Martin Pecka, Stephan Sundermann, William Hudgins, gemignani

 -- Austin Hendrix <namniart@gmail.com>  Wed, 19 Aug 2020 22:00:00 -0000

ros-noetic-diagnostic-updater (1.10.0-1buster) buster; urgency=high

  * Make Guglielmo Gemignani ROS1 maintainer (#155 <https://github.com/ros/diagnostics/issues/155>)
  * Test build fix on Windows build. (#8 <https://github.com/ros/diagnostics/issues/8>) (#138 <https://github.com/ros/diagnostics/issues/138>)
  * Contributors: Guglielmo Gemignani, Sean Yen

 -- Austin Hendrix <namniart@gmail.com>  Mon, 10 Aug 2020 22:00:00 -0000

ros-noetic-diagnostic-updater (1.9.4-1buster) buster; urgency=high

  * noetic release (#136 <https://github.com/ros/diagnostics/issues/136>)
  * Merge pull request #105 <https://github.com/ros/diagnostics/issues/105> from mikepurvis/py3-httplib
    Fix httplib import for Python 3.
  * Fix httplib import for Python 3.
  * Merge pull request #97 <https://github.com/ros/diagnostics/issues/97> from kejxu/fix_windows_build_issue
    fix windows build issue
  * Merge branch 'indigo-devel' into fix_windows_build_issue
  * update windows bringup (#5 <https://github.com/ros/diagnostics/issues/5>)
  * avoid ERROR from windows.h
  * windows bringup
  * Merge pull request #86 <https://github.com/ros/diagnostics/issues/86> from icolwell/diagnostic_status_custom_names
    Custom names for FrequencyStatus and TimeStampStatus
  * Remove C++11 features
  * Wording
  * Custom names for existing diagnostics tasks
  * Merge pull request #84 <https://github.com/ros/diagnostics/issues/84> from nbussas/frequency_status_name
    Make FrequencyStatus' name configurable
  * Make FrequencyStatus' name configurable
  * Contributors: Alejandro Hernández Cordero, Austin, Ian Colwell, James Xu, Mike Purvis, Nils Bussas, Sean Yen

 -- Austin Hendrix <namniart@gmail.com>  Tue, 31 Mar 2020 22:00:00 -0000

ros-noetic-diagnostic-updater (1.9.3-1buster) buster; urgency=high

  * Merge pull request #73 <https://github.com/ros/diagnostics/issues/73> from tue-robotics/indigo-devel
    Add a simple Heartbeat-DiagnosticTask
  * Add Python version of Heartbeat DiagnosticTask
  * Add a very very simple Heartbeat DiagnosticTask
  * Contributors: Austin, Loy van Beek, loy

 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 May 2018 22:00:00 -0000

ros-noetic-diagnostic-updater (1.9.2-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-noetic-diagnostic-updater (1.9.1-1buster) buster; urgency=high

  * Add queue size parameters on Publishers
  * Minor python updates
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-noetic-diagnostic-updater (1.9.0-1buster) buster; urgency=high

  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * Fixed bug with merge summary in status wrapper
  * Contributors: Lukas Bulwahn, pAIgn10

 -- Austin Hendrix <namniart@gmail.com>  Mon, 24 Apr 2017 22:00:00 -0000

ros-noetic-diagnostic-updater (1.8.10-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 13 Jun 2016 22:00:00 -0000

ros-noetic-diagnostic-updater (1.8.9-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 Mar 2016 23:00:00 -0000

ros-noetic-diagnostic-updater (1.8.8-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 05 Aug 2015 22:00:00 -0000

ros-noetic-diagnostic-updater (1.8.7-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 08 Jan 2015 23:00:00 -0000

ros-noetic-diagnostic-updater (1.8.6-1buster) buster; urgency=high

  * Add queue_size to diagnostic_updater for Python.

