=== debian/control ===
Source: ros-noetic-diagnostic-updater
Section: misc
Priority: optional
Maintainer: Guglielmo Gemignani <guglielmo.gemignani@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin (>= 0.5.68), ros-noetic-diagnostic-msgs, ros-noetic-roscpp, ros-noetic-rostest, ros-noetic-std-msgs
Homepage: http://www.ros.org/wiki/diagnostic_updater
Standards-Version: 3.9.2

Package: ros-noetic-diagnostic-updater
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-diagnostic-msgs, ros-noetic-roscpp, ros-noetic-std-msgs
Description: diagnostic_updater contains tools for easily updating diagnostics.
 it is commonly used in device drivers to keep track of the status of output topics, device status, etc.
